package user

import (
	"context"
	"encoding/json"
	"net/http"
)

// Brief gets information about user's enabled and disabled resources.
func (u User) Brief(ctx context.Context) (*BriefResources, error) {
	url := "/cloudapi/user/brief"

	info := BriefResources{}

	res, err := u.client.DecortApiCall(ctx, http.MethodPost, url, nil)
	if err != nil {
		return nil, err
	}

	err = json.Unmarshal(res, &info)
	if err != nil {
		return nil, err
	}

	return &info, nil
}
